<html>
<head>
<title>Project Branch | Ubuntu Tour</title>
<meta name="description" content="Get the Bazaar branch for the project." />
<meta name="keywords" content="ubuntu, tour, guide, contribute, community, bzr, bazaar, launchpad" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="/sitestyle.css" />

<script type="text/javascript">
function mouseOver(image, mode) {
document.getElementById(image + "tab").src ="/tabs/" + image + "_" + mode + "_hover.png";
}
function mouseOut(image, mode) {
document.getElementById(image + "tab").src ="/tabs/" + image + "_" + mode + ".png";
}
</script>

</head>

<body marginwidth="0" marginheight="0" leftmargin="0" topmargin="0">




<div align="center">
<table width="900"><tr><td align="left">
<img src="/logo.png" />
</td></tr></table>

<?php $On="branch"; include("/home/alexando/public_html/subdomains/ubuntu-tour/tab_code.php"); ?>

<table cellpadding="3" bgcolor="E13F20"><tr><td align="center" valign="center">
 <table width="900" cellpadding="50" bgcolor="white"><tr><td align="left" valign="top">

<h1>Working on the project</h1>

<p>You'll have to do a few things to get working on the project.</p>

<ol>
<li><span class="p">Set up a Launchpad account</span></li>
<li><span class="p">Install Bazaar</span></li>
<li><span class="p">Get the branch</span></li>
<li><span class="p">Upload your work</span></li>
</ol>

<br />
<h2>Set up a Launchpad account</h2>
<p>If you don't have a Launchpad account yet, you can register <a href="https://launchpad.net/+login">here</a>.</p>
<p>You'll need to set up an SSH key. To do so, run:</p>
<span class="terminal">sudo apt-get install openssh-client</span>
<p>to install openssh. Then, make a key with:</p>
<span class="terminal">ssh-keygen -t rsa</span>
<p>Press <b>enter</b> to use the default name. You will need to provide a password and confirm it to protect the key. 
You now have your SSH keys. Upload the public key to Launchpad. To do this, open <b>~/.ssh/id_rsa.pub</b> in a text editor, and paste it into the text box on <a href="https://launchpad.net/people/+me/+editsshkeys">your SSH keys page</a>.</p>
<p>Then, join our team <a href="https://launchpad.net/~ubuntu-tour/+join">here</a>.</p>

<br />
<h2>Install Bazaar</h2>
<p>Bazaar (bzr) is a version control system for code hosting. To upload or download the project, you will need to install the bzr client. To do so, run:</p>
<span class="terminal">sudo apt-get install bzr</span>
<p>Now you'll need to tell bzr who you are. To do this, run:</p>
<span class="terminal">bzr whoami "Your Name &lt;youremail@domain&gt;"</span>
<br />
<span class="terminal">bzr launchpad-login your-launchpad-username</span>
<p>That's it! You're done with setup.</p>

<br />
<h2>Get the branch</h2>
<p>Bzr will download a directory containing the Ubuntu Tour work. cd to where you want it to go, then run:</p>
<span class="terminal">bzr branch lp:ubuntu-tour</span>
<p>Now you can work on the Ubuntu Tour project.</p>
<p>Note: if you already have a branch, before you get started, run <span class="terminal">bzr pull</span> first, to update your copy of the branch.</p>

<br />
<h2>Upload your work</h2>
<p>When you have finished making a set of changes, it's time to upload the branch for other developers to access. cd into the project directory, then run the following:</p>
<span class="terminal">bzr pull</span>
<br />
<span class="terminal">bzr add</span>
<br />
<span class="terminal">bzr commit -m "What I did in this revision"</span>
<br />
<span class="terminal">bzr push lp:ubuntu-tour</span>
<p>Thanks for helping!</p>

 </td></tr></table>
</td></tr></table>
<br />
<table width="900"><tr><td align="right">
<img src="/ubuntu-logo.png" />
</td></tr></table>
<br />
</div> 




</body>
</html>
